# Barry::Parser Class Reference

`#include <parser.h>`

Inheritance diagram for Barry::Parser:

[legend]

List of all members.

## Detailed Description

Base class for the parser hierarchy.

This class provides the interface that the Controller class uses to pass raw data it reads from the device. The Controller, along with the Packet class, calls each of the virtual functions below in the same order.

This class is kept as a pure abstract class, in order to make sure that the compiler will catch any API changes, for code derived from it.

Definition at line 93 of file parser.h.

## Public Member Functions

virtual void | ParseRecord (const DBData &data, const IConverter *ic)=0
| Called to parse sub fields in the raw data packet.

## Member Function Documentation

virtual void Barry::Parser::ParseRecord | ( | const DBData & | data,
|  | const IConverter * | ic |
| ) |  |  | `[pure virtual]`

Called to parse sub fields in the raw data packet.

Implemented in Barry::DeviceParser, Barry::NullParser, Barry::HexDumpParser, Barry::RecordParser< RecordT, StorageT >, Barry::MultiRecordParser, Barry::TeeParser, and Barry::BoostParser.

Referenced by Barry::Mode::Desktop::LoadDatabase(), Barry::DBPacket::Parse(), Barry::MultiRecordParser::ParseRecord(), and Barry::Pipe::PumpEntry().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- parser.h